
Infrastructure - Bug #1127

trailing slash is significant in cn/object

2010-12-02 22:16 - Rob Nahf

Status: Rejected Start date: 2010-12-02

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2010.48   

Milestone:  Story Points:  

Product Version: *   

Description

http://cn-dev.dataone.org/cn/object does not return an objectList, just html saying "no action is available for the specified URL."

should be the same as http://cn-dev.dataone.org/knb/object/

tests against kn/object & knb/object/ indicate that the problem is in the cn service & proxy layer.

Subtasks:

Task # 1128: add unit(?) test for trailing slashes in cn service Rejected

History

#1 - 2010-12-02 22:21 - Rob Nahf

- Target version changed from Sprint-2010.49 to Sprint-2010.48

#2 - 2010-12-03 18:02 - Robert Waltz

I don't see that happening on my machine:

http://cn-dev.dataone.org/cn/object/ 

&&

http://cn-dev.dataone.org/cn/object

retrieve the same results.

adding in search query shows 'No action is available'

#3 - 2010-12-03 18:28 - Robert Waltz

- Status changed from New to Rejected
